Name: H5Pset_edc_check
Signature:
  herr_t `H5Pset_edc_check`(hid_t `plist`, H5Z_EDC_t `check`)
Purpose:
  Sets whether to enable error-detection when reading a dataset.
Description:
  `H5Pset_edc_check` sets the dataset transfer property list `plist` to enable or disable error detection when reading data.

  Whether error detection is enabled or disabled is specified in the `check` parameter. Valid values are as follows:

  | `H5Z_ENABLE_EDC` (default) `H5Z_DISABLE_EDC`

  The error detection algorithm used is the algorithm previously specified in the corresponding dataset creation property list.

  This function does not affect the use of error detection when writing data.

Note:
  The initial error detection implementation, Fletcher32 checksum, supports error detection for chunked datasets only.
Parameters:

hid_t `plist` | IN: Dataset transfer property list identifier.
H5Z_EDC_t `check` | IN: Specifies whether error checking is enabled or disabled for dataset read operations.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_edc_check_f

      SUBROUTINE h5pset_edc_check_f(prp_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id   ! Dataset transfer property
                                               ! list identifier
        INTEGER, INTENT(IN)        :: flag     ! EDC flag; possible values
                                               !    H5Z_DISABLE_EDC_F
                                               !    H5Z_ENABLE_EDC_F
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure

      END SUBROUTINE h5pset_edc_check_f

History:

Release | C
1.6.0 | Function introduced in this release.